Get Row
Retrieve a specific row from a table
GET
/tables/{table_id}/rows/{row_id}Requires
Bearer authenticationRetrieve the data for a specific row.
Path Parameters
table_idstringrequiredThe unique identifier of the table.
row_idstringrequiredThe unique identifier of the row.
GET
/tables/{table_id}/rows/{row_id}curl -X GET "https://api.vastal.agency/v1/tables/tbl_abc123/rows/row_001" \ -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch( 'https://api.vastal.agency/v1/tables/tbl_abc123/rows/row_001', { headers: { 'Authorization': 'Bearer YOUR_API_KEY' } } ); const row = await response.json();
200Success
{ "success": true, "data": { "id": "row_001", "data": { "name": "John Doe", "email": "john@acme.com", "company": "Acme Inc" }, "created_at": "2024-01-15T10:30:00Z", "updated_at": "2024-01-18T11:00:00Z" } }